import AWS from "aws-sdk";
import { Service } from "./Service";
import { CLIArgs } from "../CLI";
export interface AWSS3GlacierOptions {
    region?: string;
    accessId?: string;
    secretKey?: string;
    vaultName: string;
}
export declare const parseAWSS3GlacierOptions: (args: CLIArgs) => AWSS3GlacierOptions;
export interface AWSS3GlacierState {
    readonly service: AWS.Glacier;
    readonly vaultName: string;
}
export declare const AWSS3Glacier: Service<AWSS3GlacierOptions, AWSS3GlacierState>;
